POST /sora/v1/videos
Method: POSTEndpoint: /sora/v1/videos
This section contains endpoint-specific behavior, parameters, or usage notes for this API. "480x480": "1:1", "720x720": "1:1", "480x854": "9:16", "854x480": "16:9", "1280x720": "16:9", "720x1280": "9:16"
This section contains endpoint-specific behavior, parameters, or usage notes for this API. "480x480": "480p", "720x720": "720p", "480x854": "480p", "854x480": "480p", "1280x720": "720p", "720x1280": "720p"
This section contains endpoint-specific behavior, parameters, or usage notes for this API. "150": "5s", "300": "10s"
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
Schema for video generation request parameters
actions
array
[object]
Optional
// provider-specific example normalized for English documentation
time
number
Required
// provider-specific example normalized for English documentation
description
string
// provider-specific example normalized for English documentation
Required
inpaint_items
array
[object]
Optional
// provider-specific example normalized for English documentation
type
enum<string>
// provider-specific example normalized for English documentation
Optional
Value:
image
url
string
imageURL
Optional
frame_index
number
// provider-specific example normalized for English documentation
Optional
preset_id
null
// provider-specific example normalized for English documentation
Optional
generation_id
null
generatedID
Optional
upload_media_id
string
// provider-specific example normalized for English documentation
Optional
source_start_frame
number
// provider-specific example normalized for English documentation
Optional
source_end_frame
number
// provider-specific example normalized for English documentation
Optional
type
enum<string>
// provider-specific example normalized for English documentation
Optional
Value:
video_gen
style
enum<string>
// provider-specific example normalized for English documentation
Optional
Value:
natural
prompt
string
Optional
// provider-specific example normalized for English documentation
width
number
Optional
// provider-specific example normalized for English documentation
>= 1
height
number
Optional
// provider-specific example normalized for English documentation
>= 1
n_frames
number
Optional
// provider-specific example normalized for English documentation
>= 1
n_variants
number
// provider-specific example normalized for English documentation
Optional
>= 1
sdedit
object
Optional
// provider-specific example normalized for English documentation
amount
number
// provider-specific example normalized for English documentation
Required
>= 1
<= 8
source_generation_id
string
// provider-specific example normalized for English documentation
Required
source_upload_media_id
string
|
null
// provider-specific example normalized for English documentation
Required
operation
enum<string>
// provider-specific example normalized for English documentation
Optional
Enum Values:
simple_compose
storyboard
remix
blend
model
enum<string>
// provider-specific example normalized for English documentation
Optional
Value:
turbo
Example
{
"actions"
:
[
{
"time"
:
0
,
"description"
:
"string"
}
]
,
"inpaint_items"
:
[
{
"type"
:
"image"
,
"url"
:
"string"
,
"frame_index"
:
0
,
"preset_id"
:
null
,
"generation_id"
:
null
,
"upload_media_id"
:
"string"
,
"source_start_frame"
:
0
,
"source_end_frame"
:
0
}
]
,
"type"
:
"video_gen"
,
"style"
:
"natural"
,
"prompt"
:
"string"
,
"width"
:
1
,
"height"
:
1
,
"n_frames"
:
1
,
"n_variants"
:
1
,
"sdedit"
:
{
"amount"
:
1
,
"source_generation_id"
:
"string"
,
"source_upload_media_id"
:
"string"
}
,
"operation"
:
"simple_compose"
,
"model"
:
"turbo"
}Example Request
Shell
bash
curl --location --request POST '/sora/v1/videos' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"actions": [
{
"time": 0,
"description": "string"
}
],
"inpaint_items": [
{
"type": "image",
"url": "string",
"frame_index": 0,
"preset_id": null,
"generation_id": null,
"upload_media_id": "string",
"source_start_frame": 0,
"source_end_frame": 0
}
],
"type": "video_gen",
"style": "natural",
"prompt": "string",
"width": 1,
"height": 1,
"n_frames": 1,
"n_variants": 1,
"sdedit": {
"amount": 1,
"source_generation_id": "string",
"source_upload_media_id": "string"
},
"operation": "simple_compose",
"model": "turbo"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": "success",
"message": "",
"data": "task_01jhjnz502ejqsm6r37km2q637"
}